"Package does not exist" error is unhelpful for updates

Bug #1125412 reported by Matthew Paul Thomas on 2013-02-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Unassigned

Bug Description

update-manager 1:0.181, Ubuntu Ringtail

It is possible for Software Updater to produce a "Software Updater" alert: "Package does not exist" "Check the spelling of the package name, and that the appropriate repository is enabled."

That might be appropriate when a third-party application asks for installation of a particular package. But it isn't really appropriate when installing updates. The updates you're installing are updates that were previously shown in Software Updater because they *were* available.

So, Software Updater needs to special-case the error message in this situation. Is it just that the package version has disappeared from the repository betwen the time Software Updater opened, and the time you chose to install it? Or is there another cause?

Matthew Paul Thomas (mpt) wrote :
Changed in update-manager (Ubuntu):
importance: Undecided → High
Rajiv Shah (compukid) on 2013-05-24
tags: added: raring update-manager
adelina (adelinanadjasamadi) wrote :

same problem here :( please someone help out a newbie, thanksss!!!

peterstan (stasnel) on 2015-08-22
Changed in update-manager (Ubuntu):
status: New → Fix Released
Changed in update-manager (Ubuntu):
status: Fix Released → Triaged
Brian Murray (brian-murray) wrote :

This error message actually comes from aptdaemon's enums.py.

    ERROR_NO_PACKAGE: _("Check the spelling of the package name, and "
                        "that the appropriate repository is enabled."),

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments